Package com.independentsoft.office.odf

# Class ChangeInfo

java.lang.Object
com.independentsoft.office.odf.ChangeInfo

All Implemented Interfaces:
  `IContentElement`

public class ChangeInfo extends Object implements IContentElement
Specifies who made a change and when. It may also contain a comment on the change.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeInfo()`
  Initializes a new instance of the ChangeInfo class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeInfo`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getCreator()`
  Gets the name of the person who last modified a document, who created an annotation, who authored a change.
  `Date`
  `getDate()`
  Gets the date and time when the document was last modified, when an annotation was created, when a change was made.
  `List<Paragraph>`
  `getParagraphs()`
  Contains the paragraphs, which is the basic unit of text in an OpenDocument file.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setCreator​(String creator)`
  Sets the name of the person who last modified a document, who created an annotation, who authored a change.
  `void`
  `setDate​(Date date)`
  Sets the date and time when the document was last modified, when an annotation was created, when a change was made.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current ChangeInfo object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeInfo

    public ChangeInfo()
    Initializes a new instance of the ChangeInfo class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public ChangeInfo clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChangeInfo object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getParagraphs

    public List<Paragraph> getParagraphs()
    Contains the paragraphs, which is the basic unit of text in an OpenDocument file.
    Returns:
      the paragraphs

  - ### getCreator

    public String getCreator()
    Gets the name of the person who last modified a document, who created an annotation, who authored a change.
    Returns:
      the creator

  - ### setCreator

    public void setCreator​(String creator)
    Sets the name of the person who last modified a document, who created an annotation, who authored a change.
    Parameters:
      `creator` - the new creator

  - ### getDate

    public Date getDate()
    Gets the date and time when the document was last modified, when an annotation was created, when a change was made.
    Returns:
      the date

  - ### setDate

    public void setDate​(Date date)
    Sets the date and time when the document was last modified, when an annotation was created, when a change was made.
    Parameters:
      `date` - the new date